Rails.application.routes.draw do
  root "page#index"

  post "/new", to: "instance#create", as: :new_instance
  post "/pop", to: "instance#pop", as: :pop_in_instance
  post "/reset", to: "instance#reset", as: :reset_in_instance
  post "/auth", to: "instance#authenticate", as: :authenticate_to_instance
  post "/fairy/mark", to: "fairy#mark", as: :mark_fairy
  post "/fairy/unmark", to: "fairy#unmark", as: :unmark_fairy
  get "/:public_id", to: "instance#show", as: :show_instance

  get "up" => "rails/health#show", as: :rails_health_check
end
